curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "sku_id": 0, "sku_item_price_id": 0, "next_sku_item_price_id": 0, "committed_instance_policy": "string", "name": "string", "description": "string", "experiment_id": "string", "pipeline_version_id": "string", "max_concurrency": 1, "run_parameter": [ { "name": "string", "value": "string" } ], "run_type": "scheduled_job", "periodic_schedule": { "interval_second": 0, "start_time": "string", "end_time": "string" }}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "sku_id": 0, "sku_item_price_id": 0, "next_sku_item_price_id": 0, "committed_instance_policy": "string", "name": "string", "description": "string", "experiment_id": "string", "pipeline_version_id": "string", "max_concurrency": 1, "run_parameter": [ { "name": "string", "value": "string", }, ], "run_type": "scheduled_job", "periodic_schedule": { "interval_second": 0, "start_time": "string", "end_time": "string", }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "sku_id": 0, "sku_item_price_id": 0, "next_sku_item_price_id": 0, "committed_instance_policy": "string", "name": "string", "description": "string", "experiment_id": "string", "pipeline_version_id": "string", "max_concurrency": 1, "run_parameter": [ { "name": "string", "value": "string" } ], "run_type": "scheduled_job", "periodic_schedule": { "interval_second": 0, "start_time": "string", "end_time": "string" } }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Request Bodyrequired
Section titled “Request Bodyrequired”object
SKU ID for the run. Get it from the SKU List API response.
Price ID for the SKU item. Get it from the SKU List API response.
ID for the next SKU item price, if any
Committed instance policy
Name of the scheduled run
Description of the scheduled run
ID of the associated experiment. Get it from the experiment_id field in the Experiment List API response.
Version ID of the pipeline. Get it from the version_id field in the Version List API response.
Maximum number of concurrent runs allowed. Defaults to 1 if not provided. Do not include this field in the request body.
Runtime parameters for the pipeline run
object
Type of run
object
Interval in seconds between runs (e.g. 86400 for daily)
Start time for the schedule in UTC (e.g. 2024-11-14T18:25:47Z)
End time for the schedule in UTC. Leave empty for no end time.
Responses
Section titled “Responses”Scheduled run created successfully
object
object
The unique identifier of the scheduled job.
The name of the scheduled job.
Unique identifier for the job.
Indicates whether the job is enabled.
ID of the associated experiment.
ID of the pipeline version.
The maximum number of concurrent runs allowed.
object
object
object
Example
{ "code": 201, "data": { "id": 30, "name": "tir-scheduled-run-example", "job_id": "e05346aa-97ce-41d0-962f-f9087c86c5f6", "is_enabled": true, "experiment_id": "843", "pipeline_version_id": "1792", "max_concurrency": 1, "trigger": { "periodic_schedule": { "end_time": "2024-11-15T18:25:47Z", "start_time": "2024-11-14T18:25:47Z", "interval_second": 86400 } }, "source": "pipeline" }, "errors": {}, "message": "Success"}